# A collection of attachments from *Call of Duty: WWII*, which may or may not be chronologically or functionally accurate...

The HUB-23 suppressor is a German suppressor for the Kar98k made during WWII, which is also hilariously featured as the suppressor for all Axis submachine guns and pistols in *Call of Duty: WWII*.
The Lens Sight is a fictional sight also featured in *WWII*, used on all non-bolt-action rifles and submachine guns.

The HUB-23 suppressor and the fictional Lens Sight from *Call of Duty: WWII* is featured in this pack. All models, sounds and textures are from the game. This mod is used as a universal pack for all universally-used *Call of Duty: WWII* attachments to prevent conflicts with mods that use the same attachments.

Note: This mod is *not intended* to allow these attachments on guns that are not created for the *Call of Duty WWII* gun project *by me personally*. This is because when creating the attachment points on my gun, it can result in causing major prefab issues (aka floating attachments) if attached on other guns. However, if you want to include these attachments on your guns, make sure to place it in the correct location on your Unity prefab and set the attachment point there. *Unless it results in a higher quality mod, I will not alter this mod to be compatible with other mods.*

## Features
- The HUB-23 suppressor and six versions of the Lens Sight are added. The Lens Sight is considered a magnified scope, despite only having a zoom of 1x.
- The Lens Sight variants are the Base, Heroic, Gold, Gold Heroic, Silver and Silver Heroic variants. Heroic variants are the factory new versions.
- The HUB-23 suppressor is used on all Axis SMGs from *WWII*. The Lens Sight is used on all rifles and SMGs from *WWII*.

## Planned
- Smaller HUB-23 suppressor for pistols. It uses a different model in *WWII*.
- Small Lens Sights, for the weapons that use them. Again, a different model in *WWII*.
- The other universal attachments in *WWII*, including the Allied suppressor and the German Ceremonial Bayonet. More will be included.

# Changelog

### 1.1.0
- **THIS VERSION WILL NOT WORK WITH THE 2.1.0 OR OLDER VERSIONS OF THE TYPE 100 MOD. PLEASE UPDATE TO THE NEWEST VERSION OF THE TYPE 100 MOD FOR THIS TO WORK.**
- Refractored entire mod into MeatKit

### 1.0.0
- Initial release